// import { CrudSchema } from '@/hooks/web/useCrudSchemas'

// CrudSchema：https://doc.iocoder.cn/vue3/crud-schema/
const crudSchemas = reactive([
  {
    label: '产品名称',
    field: 'name',
    isSearch: true,
    isTable: true
  },
  {
    label: '规格名称',
    field: 'specsName',
    isSearch: true,
    isTable: true
  },
  {
    label: '仓库',
    field: 'warehouse',
    isSearch: true,
    isTable: true,
    search: {
      component: 'Select',
      api: () => [
        { label: '自营仓', value: 1 },
        { label: '供应商仓', value: 2 }
      ],
      componentProps: {
        optionsAlias: {
          labelField: 'label',
          valueField: 'value'
        }
      }
    }
  }
])
export const { allSchemas } = useCrudSchemas(crudSchemas)
